/***************************************************************************
 begin                : Sat Mar 2 2002
 copyright            : (C) 2002 by Christian Hubinger
 email                : chubinger@gmail.com
***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef KMFCHAINEDIT_H
#define KMFCHAINEDIT_H
#include <qobject.h>
#include <qwidget.h>
#include "../core/kmfdoc.h"
#include "../core/iptchain.h"
#include "kmyfirewallchaineditor.h"
/**
  *@author Christian Hubinger
  */

class KMFChainEdit : public KMyFirewallChainEditor {
	Q_OBJECT
public:
	KMFChainEdit( QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
	~KMFChainEdit();

	void loadChain( IPTChain* );
public slots:
	void accept();
	void reject();
	void slotHelp();
private:
	IPTChain* m_chain;

signals:
	void documentChanged( KMFIPTDoc& );
	void sigDocumentChanged();
	void sigHideMe();
};

#endif
